Morpho - Bug #1243

misc morpho issues needed for release
12/29/2003 11:10 AM - Matt Jones
Description

These are issues | encountered while test driving the 1.5alphat release.

1) Remove "Conversion to EML2 Complete" dialog message

2) Change "Associate Party" => "Associated Party" in eml stylesheets

3) Why is "Thesaurus" set to nrs.11.2 during conversion? Remove thesaurus field
if there's no logical value to be placed there.

4) Can the tree editor use the party screen for metadataProvider like it does

for creator? How about associatedParty?

5) In TIW, "Help" button opens window that is scrolled tot the bottom -- put
cursor at top before showing it

6) In TIW "Help" screen, change phrase "interval for most some purposes" to
"interval for some purposes"

7) When a package that is changed is closed (using window close control), need
to prompt user to save or discard changes so they don't lose data

8) DPW first screen, add space before "(EML)"

9) On DPW "Define Keyword Set" dialog, disable label and textfield for thesaurus
unless "These keywords are chosen from a predefined list" is selected. If
diabling isn't visually distinctive, possibly hide the field

10) In DPW "Research Project", when adding personnel | chose an existing person
from the list, and when | clicked ok the party did not show up in the list of
personnel. Even entering a person manually after that did not result in an entry
in the list. This is probably a bug.

11) DPW Step 11...also summarize how to add a new table to the package after
they click finish.

12) Access rule for "public" is not showing up properly in the metadata display
screens or the exported metadata.html file. Probably a problem in the xslt.

History

#1 - 12/29/2003 01:00 PM - Dan Higgins
1), 3), and 4) bugs fixed. (Higgins)

#2 - 12/29/2003 01:44 PM - Dan Higgins
5) and 6) fixed

#3 - 12/29/2003 01:50 PM - Dan Higgins
2) fixed

#4 - 12/30/2003 09:20 AM - Saurabh Garg

fixed 8 and 9

in 10: Entering a person manually now adds it to the list. If picked from the
list, it doesnt add to the list because it is supposed to be a reference. This
can be changed if wanted.

#5 - 12/30/2003 09:35 AM - Matt Jones

Regarding 10) | think that even references should show up in the list, as the
user needs some visual indication that the entry exists, and needs a way to
delete the entry if they decide to. The only problem comes with editing: you
can either a) disable editing for references, or b) enable editing but edit the
original party entry wherever it exists. | prefer b) because it gives the user
more options, but you'll need to indicate to them that changing the party's info
on the reference screen will effectively change it throughout the document.

#6 - 12/30/2003 11:15 AM - Dan Higgins

Iltem 7) has been fixed. Note that when a datapackage is changed and not yet
saved, its location string is set to ™" (i.e. an empty string). The 'close’

method in MorphoFrame now checks the location variable for the current
AbstractDataPackage and asks the user if he/she wants to 'Save' if package has
not been saved.

#7 - 01/05/2004 03:04 PM - Matthew Brooke
11) fixed

#8 - 02/19/2004 10:05 AM - Saurabh Garg
12) moved to bug# 1209 and discussion on 10) moved to bug# 669.

As rest everything else is fixed, | am closing this bug.

#9 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1243
